šŸ”µāš« Edit an existing custom recipe.

This endpoint is used when the user wants to update the details of a custom recipe referred by the provided 'custom_recipe_id' parameter. The parameters that can be edited are image, dish_name, translations, ingredient_list and nutritional_indicators. If any of the parameters are provided in the request body then it will update the respective recipe with the new values. If a list of ingredients ids provided but not a list of nutrients, the nutritional information will be automatically calculated based on the list of ingredients stored in the system. It's important to note that only ingredients with a valid, existing and associated ID will be considered.

Ā 

For the 'translations' parameter, each language code maps to the translated dish name. You can pass a string value to update or add a translation. If a language's value is set to null, the stored translation for that language will be deleted.

Ā 

Refer to POST '/v2/custom_recipe' in order to understand the required format for each of the optional parameters.

Ā 

This endpoint has an 'image' parameter in the request body which is in the 'multipart/form-data', and other parameters are in 'application/json'. You can check it from the dropdown from the right corner.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the custom recipe.

Body Params
string
boolean
enum
Defaults to false

Whether the user could possibly choose to include added sugar to the recipe (e.g. coffees, yogurts, etc.).

Allowed:
ingredient_list
array of objects

Ingredient can only be identified by ingredientId or by ingredientName. Not both. Provide only one.

ingredient_list
nutritional_indicators
array of objects
nutritional_indicators
translations
object
Responses
200

Custom recipe edited successfully.

400

Bad request

401

Unauthorized, invalid token.

403

Forbidden

404

Not found

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here!